<?xml version="1.0" encoding="UTF-8"?>
<web-app version="3.1" xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd">
    <filter>
        <filter-name>AuthentifFiltrer</filter-name>
        <filter-class>com.test.filter.AuthentifFiltrer</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>AuthentifFiltrer</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <servlet>
        <servlet-name>AccueilServlet</servlet-name>
        <servlet-class>com.test.servlets.AccueilServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>NouveauServlet</servlet-name>
        <servlet-class>com.test.servlets.NouveauServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>AuthentificationServlet</servlet-name>
        <servlet-class>com.test.servlets.AuthentificationServlet</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>AccueilServlet</servlet-name>
        <url-pattern>/Accueil</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>NouveauServlet</servlet-name>
        <url-pattern>/NouveauClient</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>AuthentificationServlet</servlet-name>
        <url-pattern>/Authentification</url-pattern>
    </servlet-mapping>
</web-app>
